> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapier.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Choose authentication

> Get list of Zapier authentications associated with the requesting user and account.

<Tip>
  Authentications for each app can be managed [in your Zapier
  account](https://zapier.com/app/connections).
</Tip>


## OpenAPI

````yaml get /api/v2/apps/{app}/auths/
openapi: 3.1.0
info:
  title: Zapier AI Actions API V2
  version: 1.0.0
  description: ''
servers:
  - url: https://actions.zapier.com
security: []
paths:
  /api/v2/apps/{app}/auths/:
    get:
      tags:
        - apps
      summary: List Authentications For App
      description: >-
        Get list of Zapier authentications associated with the requesting user
        and account.
      operationId: api_actions_list_authentications_for_app
      parameters:
        - in: path
          name: app
          schema:
            description: The app to get authentications for.
            title: App
            type: string
          required: true
          description: The app to get authentications for.
        - in: query
          name: account_id
          schema:
            description: The Zapier account ID to get authentications for.
            title: Account Id
            type: integer
          required: false
          description: The Zapier account ID to get authentications for.
        - in: query
          name: only_owned
          schema:
            default: false
            description: >

              If this is `true`, only authentications that are owned by the
              authenticated user will be returned.
                                           
              If this is `false`, then authentications that are shared with the
              user will also be returned.
            title: Only Owned
            type: boolean
          required: false
          description: >

            If this is `true`, only authentications that are owned by the
            authenticated user will be returned.
                                         
            If this is `false`, then authentications that are shared with the
            user will also be returned.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListAuthenticationsForAppResultSchema'
      security:
        - AccessPointApiKeyHeader: []
        - AccessPointOAuth: []
components:
  schemas:
    ListAuthenticationsForAppResultSchema:
      additionalProperties: true
      properties:
        last_refresh_seconds_ago:
          anyOf:
            - type: integer
            - type: 'null'
          description: >

            Seconds that have elapsed since the list of authentications for this
            user/app has been refreshed.
                                                             
            To refresh the list, use the `force_refresh` query parameter.
          title: Last Refresh Seconds Ago
        results:
          items:
            $ref: '#/components/schemas/AuthenticationT'
          title: Results
          type: array
        message:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Message about the result of the request, does not need to be shown
            to the user.
          title: Message
      required:
        - last_refresh_seconds_ago
        - results
      title: ListAuthenticationsForAppResultSchema
      type: object
    AuthenticationT:
      properties:
        date:
          title: Date
          type: string
        groups:
          items:
            $ref: '#/components/schemas/AuthenticationGroupT'
          title: Groups
          type: array
        id:
          title: Id
          type: integer
        account_id:
          title: Account Id
          type: integer
        customuser_id:
          title: Customuser Id
          type: integer
        lastchanged:
          title: Lastchanged
          type: string
        is_invite_only:
          title: Is Invite Only
          type: boolean
        is_private:
          title: Is Private
          type: boolean
        is_stale:
          title: Is Stale
          type: boolean
        members:
          items: {}
          title: Members
          type: array
        selected_api:
          title: Selected Api
          type: string
        shared_with_all:
          title: Shared With All
          type: boolean
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        url:
          title: Url
          type: string
        is_shared:
          title: Is Shared
          type: boolean
        permissions:
          $ref: '#/components/schemas/AuthenticationPermissionsT'
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
      required:
        - date
        - groups
        - id
        - account_id
        - customuser_id
        - lastchanged
        - is_invite_only
        - is_private
        - is_stale
        - members
        - selected_api
        - shared_with_all
        - title
        - url
        - is_shared
        - permissions
        - label
      title: AuthenticationT
      type: object
    AuthenticationGroupT:
      properties:
        id:
          anyOf:
            - type: string
            - type: integer
          title: Id
        name:
          title: Name
          type: string
        photo_url:
          title: Photo Url
          type: string
        member_count:
          title: Member Count
          type: integer
      title: AuthenticationGroupT
      type: object
    AuthenticationPermissionsT:
      properties:
        delete:
          title: Delete
          type: boolean
        edit:
          title: Edit
          type: boolean
        reconnect:
          title: Reconnect
          type: boolean
        share:
          title: Share
          type: boolean
        test:
          title: Test
          type: boolean
        transfer:
          title: Transfer
          type: boolean
        use:
          title: Use
          type: boolean
      title: AuthenticationPermissionsT
      type: object
  securitySchemes:
    AccessPointApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
    AccessPointOAuth:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: /oauth/authorize/
          tokenUrl: /oauth/token/
          scopes:
            nla:exposed_actions:execute: Run AI Actions
            openid: OpenID Connect scope

````